I am working in an Inventor Assembly .iam, I have about 250 fasteners (screws) that are constrained to a flat washer and lock washer. I would like to put them in as a single unit (sub assembly if you will) and then promote or explode them in the top level so that my bom has 250 screws, 250 washers, and 250 lock washers all at the same level, not associated to one another except thru the constraints that were entered in the original assembly. I have tried Promote but that doesn't work because it removes the washers from the original file and I end up with only 1 instance of the assembly. Am I approaching this incorrectly? Is there a better way? I run across this scenario with different components quite often.
i have a valve vault assembly that i am creating that has two headers running through a large cylinder vault. how i get a total BOM if i were to create the header assembly file separate from the the total vault assembly file. is there a way to explode the header assembly bom when i do the drawing.
I have user parameters that are no longer needed and are not being used anywhere. They each takes 4-5 seconds to delete, prior to 2012 this would happen instantly.
I got a deadline for my project, but I got a big problem:
"I cannot set the "parameter" for the End Value in Parameter Animate dialog"
For easy understand, let's see a example:
1. I got a part which has two parameters named: "A" and "MaxA" 2. I animate Favorited parameter A. 3. The End Value is MaxA_ (Everything is ok) 4. I finish Studio environment, then I change parameter MaxA_ from 200 mm to 400 mm 5. I turn back to Studio environment, the End Value now is "200 mm" (I want this will be MaxA_, so I can animate the flexible parameter).
show me how to keep the end value will be "MaxA_" after I change parameter?
I am trying to publish to the CC a guide rail. The vendor of the rail gives me the option of entering the desired length of the rail. After that he gives me the option to choose between the length that I entered and a shorter and longer standard length witch can be delivered faster.
I want to do the same thing with my published part, but I cannot make a key parameter to change depending on the entered custom parameter. I want the user to make the next steps when inserting from the CC: 1- select the size of the rail; 2-select the type of the rail; 3- enter the desired length of the rail; 4- choose between the desired length and the 2 recommended lengths (I need these 3 lengths to be shown)
We have written a VB6 program for non-Inventor users that uses the Autodesk Inventor Object Library from an install of the Inventor Viewer 2011-2012. The program collects drawing sets from a VaultMirror folder exported from the actual Inventor vault. In addition, the program exports assembly parts to a formatted Excel file for purchasing.
We thought that it worked fine but, have recently found an issue: the program reads and exports ALL items referenced in an assembly, not just items in the parts list. For a particular assembly that I am using to test with, there are seven items in the parts list but, 23 parts referenced in total in the assembly. So, we get an Excel export with 23 + line items and when plotting to pdf, get 23 pdf files instead of the seven that should be created.
We are using the ApprenticeServerComponent to open the file objects but, I can't find a parts list. I have reviewed a number of posted examples of accesing parts lists and opening ApprenticeServerDrawingDocument objects but, nothing seems to work. It is like I don't have access to all of the object types needed to make it happen.
Should I be trying to open an iam or idw to access the parts list?
Are there any very basic code examples available of accessing a parts list?
How we can access the part parameters after hitting create iAssembly. do I need to make i parts first and then bring them to an assembly and make an iAssembly??
iLogic has the capabilities to access the physical properties of part files such as mass / area / volume etc. ilogic syntax to read the inertial properties of the part file such as Global Ixx / Iyy / Izz??
I can find it in the API help, but i don't really want to write it as separate code, just want to simply access it through iLogic interface.
I'm currently creating a program to replace all fasteners in an assembly with there Metric / Imperial opposites. My program works and I've created a log file for any issues that do come up.
My question now is:
Is there any way to manipulate bolted connections through the API? Or is this not supported yet?
I cannot seem to find anything to do with them. It's strange though as my program creates an error log for the Lock Washers in the Bolted Connection (which it was struggling with previously anyways), but shows the other fasteners as being successful.
I'm crating a macro wich would allow me to select multiple parts in an assembly and then calculate the length of each part. The parts are tubes wich are made of a sinlge sweep.
I started from the example truesweeplength, and built from there.
Now my problem is accessing the sweepfeature from the assembly.
In the part enviroment i use this:
Dim oDoc As PartDocument Dim oDef As PartComponentDefinition Dim osweepcount As Long Set oDoc = ThisApplication.ActiveDocument Set oDef = oDoc.ComponentDefinition osweepcount = oDef.Features.SweepFeatures.Count
The sweepcount is simply to check how many sweep features are in the part.
This works fine in part level.Now from assembly level I first create an obecjtcollection from all the parts I selected
Set oOccurrences = ThisApplication.TransientObjects.CreateObjectCollection
Then I try to acces the first occurence
oDoc.SelectSet.Item(1)
But then I'm stuck. I cant find the way to acess the features of the selected part.
I have installed Inventor 2014 and Revit 2014 on to Windows 8.1 64 Bit.The install went fine.
The only problem I have struck is that for instant if I create a new Assembly and want to open the Content Center from Assemble - Place - Place from Content Center. Nothing happens when I go through this path way, there's no error, you know it's trying as the harddrive light is flashing away rapidly for a few minutes each time you ask for it to open.
What I have tired so far is to install service pack 1 and update 1 to service pack 1, neither have made a difference.
I'm trying to use assemblies when creating a corridor. The Tool Pallette is emply but I can drag the assembiles in from the Catalog. I've also created an assembly using the ASC. Neither work when I try to use them. The error message is attached.
I'm using a network installation and I do not have the option of changing it to a DVD installation.
I made a simple dialog to access some of the iproperties. This is quite handy when working on a drawing of a part, but there is one flaw with this script. If the part's description has a function referencing the parts dimensions for instance, when my script gets the description it gets the plain text and not the formula. Meaning if the part's description is "=<d0> X <d1> X <d2>" and appears as "1 X 2 X 3" the script will get "1 X 2 X 3" and when it resaves the description it will over write the formula with plain text.
Is it possible to get the formula so my script could display that for editing instead of the plain text?
Below is a part of the code I'm using and it's the standard code I've seen for retreiving ipropterties.
Dim invDoc As Document Set invDoc = ThisApplication.Documents.ItemByName(GetToken(PartList.Value, 3, Chr(1))) Dim invDesignInfo As PropertySet Set invDesignInfo = invDoc.PropertySets.Item("Design Tracking Properties") Dim invProperty(1 To 4) As Property Set invProperty(1) = invDesignInfo.Item("Part Number") partnumber.Value = invProperty(1).Value Set invProperty(2) = invDesignInfo.Item("Description") description.Value = invProperty(2).Value
I have 2 tanks, each one is an assembly in itself, and they have to be positioned on a steel skid, also an assembly and then interconnecting pipework between the two. My prioblem is that I can't seem to find a way to position the two tanks at a set distance from each other and in relation to the edges of the skid.
Because of this, my pipe router is going all over the place in trying to join up the two termination points.
In SW I was able to create assemblies that had components with limited motion and then set them as "Fllexable" and allow them to move in larger assemblies. How do I do this in Inventor? I have a trailer with both the front and rear axles able to pivot. These axle sub-assemblies are both able to pivot as top level assemblies but when they are assembled in the trailer assembly the only way I have found to allow movement is to make one axle active and move it then activate the other nad move it. This doesn't work well if there are several interdependant subassemblies that should move together. I am in Inventor 2012.
Inventor Premium 2013 SP1.1 Vault 2013- plain vanilla version HP G71 notebook celeron cpu w 4gb RAM and 64 bit system Win 7 home premium
I use hinges in my door assemblies and they are basically placed into the assembly each time and become flexible so the doors can operate. The hinges are one size and don't change in any way or shape. What is the best practice for inserting these hinges into my door assemblies?
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
I have converted a lot of STEP files to .iam files. What is the easiest way to put them in a library? there is realy no need to publish them is them, i already have them in subfolders etc.
We have some structure issues going on. Below is an example of our current structure.
1. Overall Frame Assy
2. Frame Weldment
3. Spine Weldment
3. Bracket Assy
4. Deck Brackets
4. Air Brackets
4. Hyd Brackets
The biggest problem is we have all of these level 3 and 4 subassemblies that need to reference upper level assemblies to show placement on the drawings. We have tried utilizing LOD's and view reps but still can't fix the problem. The problem comes into play when we get to upper level assemblies that become so huge because of all of the references that are happening at lower levels. It is structured this way to create small BOM's and to be able to use in multiple different structures without having to pull a new Part Number.
We need the reference geometry to be able to show on the drawing our locations of all of these lower level assemblies and how they mount to the frame in their respected locations.
I'm trying to change the BOM structure of some sub-assemblies from "Normal" to "Phantom". However, some are displayed as disabled and therefore do not allow any changes/overrides. How can I enable these in the BOM?
Inventor RS 2011 AutoCAD Mechanical 2011 ASD 2013 Vault Collaboration 2011 Windows 7 Pro
I've created a simple iPart and want to insert multiple instances of it into an assembly. The plan is to use a parameter-driven iPart to create multiple variations on the same basic model which will eventually be lasercut.
I've included a sample archive. 2DiPart is a simple part with a couple parameters. 2Dassembly is where I've tried to include this part. I'm able to walk through all the dialogs to place the iPart, and will even see it in the canvas as I select the insertion point. However, after I dismiss the dialog, nothing shows up in the canvas. I'm still able to see the component instances in the project explorer however.
How to best to get multiple instances of a parametric iPart into a drawing that can be lasercut.
I have assembly with over 100 sub assemblies. I need to export the COG for each sub assembly to excel. The COG must be in relation to the parent assembly's origin point.
I can get coordinates manualy (right click on sub assembly - iProperties-Phisical), but it is take a lots of time.
Autodesk Inventor Professional 2013 Windows 7 64-bit
Is there any easy way to turn off visibility for all datum planes when opening a Pro/E assembly in Inventor 2010? It is incredibly time-consuming, not to mention irritating, to click through and hide them all.
I'm trying to take multiple parts of the same type and make them into one .ipt I began doing this and It seemed to be working fine. When I put those grouped .ipts into an .iam, Inventor creates a Subfolder of each .ipt and fills it with each part from that group and now those created ipts are unique unlinked parts (unlinked to the group ipt). I'm trying to reduce our file count and link our .ipts and .idws/.dwgs so this Inventor file creator results in the opposite of what I'm looking for. My question now is is there any way to modify this process to work the way I need it to or is there a completely different way that I should be doing this?
How do you limit translation/rotation of components in Assembly mode? I'm volunteering as a teacher to some high school students and we're modeling a robotic arm using syringes as prime movers. I want to keep the linkages from traveling inside-out and limit the travel of the syringe plunger.